# Exporting existing bookmarks

To help you get set up with Bookworms there is a script that can convert your existing bookmarks into `YAML`.

This is currently a BETA feature and has only been tested in Chrome. First you need to export your bookmarks as a `HTML` file, you can find instructions on how to do that here: [import bookmarks & settings](https://support.google.com/chrome/answer/96816?hl=en-GB).

You can now convert this into `YAML` using the following command:

```BASH
$ npx bookworms convert ./bookmarks.html
```

This will then generate a `YAML` file in the `./` directory. This can then be used by Bookworms.

```BASH
$ ls
converted-bookmarks.yaml
```

Use the `get` command to generate both the `README.md` and `browsers.html` files. Something to consider however is browsers don't contain descriptions for links so your `YAML` will look something like this:

```YAML
label: Bookworms
description: These bookmarks were generated by a browser export
folders:
  - 
    label: folder 1
    folders:
      - 
        label: sub folder 1
        bookmarks:
          - 
            label: sample url 1
            href: https://www.mywebsite.com
  - 
    label: folder 2
    folders:
      - 
        label: sub folder 2
        bookmarks:
          - 
            label: sample url 2
            href: https://www.mywebsite.com
          - 
            label: sample url 3
            href: https://www.mywebsite.com
      - 
        label: sub folder 3
        bookmarks:
          - 
            label: sample url 4
            href: https://www.mywebsite.com
          - 
            label: sample url 5
            href: https://www.mywebsite.com
```

While importing this into the browser will work fine, your `README.md` links will be missing a description:

```markdown
- [sample url 1](https://www.mywebsite.com)
```

You might want to take the time to add descriptions to the `YAML` to give your users a better experience. For more options on how to convert `HTML` bookmarks to `YAML` see: [Advanced usage](./ADVANCED-USAGE.md).
